export interface NavigatorPrintProtectionConfig {
    disable?: boolean;
    watermark?: string;
    onPrintAttempt?: () => void;
}
export declare class PrintProtector {
    private styleElement;
    private beforePrintHandler;
    private onPrintAttempt?;
    constructor(config?: NavigatorPrintProtectionConfig);
    private setupPrintProtection;
    destroy(): void;
}
